Get all project SDK keys

Get all SDK keys for a given project across environments.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequired

Headers

LD-API-VersionenumRequired
Version of the endpoint.
Allowed values:

Query parameters

filterstringOptional
A queryfilter expression to apply to the list of SDK keys. Supports the following fields and operators: `kind` (`equals`, `anyOf`; values: "sdk", "mobile"), `active` (`equals`, `anyOf`; values: `true`, `false`), `environmentKey` (`equals`, `anyOf`; values: environment keys), `viewKey` (`equals`, `anyOf`; values: view key strings — returns only SDK keys linked to the specified view(s)), `name` (`equals` only; returns SDK keys whose name or key contains the value, matched case-insensitively). Example: `kind anyOf ["sdk","mobile"], environmentKey anyOf ["production","test"], viewKey equals my-view, name equals "production"`.
limitintegerOptional
The number of SDK keys to return. Defaults to 20. Maximum is 100.
offsetintegerOptional
The number of SDK keys to skip. Used for pagination.
expandstringOptional

A comma-separated list of fields to expand in the response. Supported fields: environmentSummary, viewSummaries.

sortenumOptional

A sort to apply to the list of SDK keys. Supported field: createdAt. Prefix the field with - to sort in descending order (for example, -createdAt).

Allowed values:

Response

Successful response
itemslist of objects
totalCountinteger
The total number of SDK keys matching the query, before pagination.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error